
/*
    Project-wide includes and adjustable defaults

    An OpenSceneGraph viewer for pyVolution SWW files.
    copyright (C) 2004 Geoscience Australia
*/


#ifndef PROJECT_H
#define PROJECT_H


// copied from OSG, must be Visual Studio idiosyncrocies ...
#if defined(WIN32) && !(defined(__CYGWIN__) || defined(__MINGW32__))
    #pragma warning( disable : 4244 )
    #pragma warning( disable : 4251 )
    #pragma warning( disable : 4267 )
    #pragma warning( disable : 4275 )
    #pragma warning( disable : 4290 )
    #pragma warning( disable : 4786 )
    #pragma warning( disable : 4305 )
#endif


// Compile-time defaults
#define DEF_PAUSED_START        true
#define DEF_BACKGROUND_COLOUR   0.5, 0.5, 0.5, 1.0    // R, G, B, Alpha (grey)
#define DEF_TPS                 10.0                  // sww timesteps per second



#endif PROJECT_H